RedCrawler API
Manage Comments V1

Toggle Save Comment V1

Save or unsave a comment.

POST /api/v1/discussion/toggle/save

Save or unsave a comment.

Body parameters

NameTypeRequiredDescription
commentstringYesComment URL, ID, or t1_ prefixed ID.
bearerstringNoBearer token. Optional if stored in Token Vault.
proxystringNoProxy. Optional if stored in Token Vault.
statestringNosave or unsave (default: save).

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/discussion/toggle/save" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"comment": "xyz789", "bearer": "<bearer>", "proxy": "<proxy>", "state": "save"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/discussion/toggle/save", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "comment": "xyz789",
  "bearer": "<bearer>",
  "proxy": "<proxy>",
  "state": "save"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/discussion/toggle/save"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "comment": "xyz789",
  "bearer": "<bearer>",
  "proxy": "<proxy>",
  "state": "save"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {},
  "error": null,
  "timestamp": "2026-04-29T11:43:21.629549+00:00"
}

On this page